%define release 7mdk
%define version 3.1.1
%define prefix %{_prefix}

Summary: A chat program.
Summary(de): benutzt das Internet-Talk-Protokoll zum Erstellen von Multiuser-Chat-Sitzungen 
Summary(fr): Utilise le protocole talk pour crer des discussions multi-utilisateurs
Summary(tr): Talk protokolu kullanarak ikiden fazla kiinin konumasn salar
Name: ytalk
Version: %{version}
Release: %{release}
License: BSD
Group: Networking/Chat
BuildRequires: XFree86-devel gpm-devel ncurses-devel
Source: ftp://quatramaran.ens.fr/pub/orabidoo/ytalk/%{name}-%{version}.tar.bz2
Source1: ytalkrc
URL: http://www.iagora.com/~espel/ytalk/ytalk.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The YTalk program is essentially a chat program for multiple users. YTalk works
just like the UNIX talk program and even communicates with the same talk
daemon(s), but YTalk allows for multiple connections (unlike UNIX talk). YTalk
also supports redirection of program output to other users as well as an
easy-to-use menu of commands.

Install the ytalk package if you need a chat program for multiple users.

%description -l de
ytalk ist eine Erweiterung des herkmmlichen Internet-'talk'-Protokolls, die
mehr als zwei Benutzer pro Unterhaltung und die Umleitung von Programmausgaben
an andere ermglicht und ein einfaches Befehlsmen enthlt. Es verwendet
denselben Talk-Dmon wie das Standardprogramm.

%description -l fr
ytalk est une extension du protocole standard Internet 'talk' qui accepte plus
de deux utilisateurs par conversation, la redirection des affichages aux
autres, aussi bien que menus de commandes simples  utiliser. Il utilise le
mme dmon que le programme talk.

%description -l tr
ytalk, standart talk yazlmnn gelimi bir srmdr. kiden fazla
kiinin ayn anda konumalarn ve program ktlarnn kullanclara
ynlendirilmelerini salar. Kolay kullanlabilir bir komut mens ierir.
Standart talkd daemon'u kullanr.



%prep
%setup -q

%build
%configure
make 

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README BUGS INSTALL ChangeLog
%config(noreplace) /etc/ytalkrc
%{_bindir}/ytalk
%{_mandir}/man1/ytalk.1.bz2

%changelog
* Tue Jun 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-7mdk
- remove unused patches
- minor spec fixes (noreplace, license, ...)

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1.1-6mdk
- automatically added BuildRequires


* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-5mdk
- use new macros
- BM

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.1-4mdk
- new groups
- added url
- added documentation

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-3mdk
- build for new environment
- clean up spec file by means of spechelper

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for new distribution

* Sun Jul 18 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Updated description/summary (fr/de/tr)
- 3.1.1 :
	    + Now looks a bit harder for the fqdn of the current machine.
	    + Fixed problems with ncurses resizing under Linux, and (again) with
	      Ytalk shells under Solaris.
	    + YTalk now complains (and prints the right hostname) if a
	      connection is answered from an unexpected host.
	    + Fixed the checks to prevent user duplication (getting twice the
	      same user in an n-way talk where n>=4).
	    + More portability fixes for 64-bit machines.
	    + Fixed the "readdress" option somewhat.


* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Nov 22 1998 Preston Brown <pbrown@redhat.com>
- upgrade to ytalk 3.1

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
